-- phpMyAdmin SQL Dump
-- version 4.0.8
-- http://www.phpmyadmin.net
--
-- Client: localhost
-- Généré le: Ven 06 Décembre 2013 à 06:15
-- Version du serveur: 5.1.31-community
-- Version de PHP: 5.3.5

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `nuitinfo`
--

-- --------------------------------------------------------

--
-- Structure de la table `commentaires`
--

CREATE TABLE IF NOT EXISTS `commentaires` (
  `id` int(6) NOT NULL AUTO_INCREMENT,
  `id_utilisateur` int(6) NOT NULL,
  `titre` varchar(100) NOT NULL,
  `texte` text NOT NULL,
  `produit` text NOT NULL,
  `note` float NOT NULL,
  `date_creation` datetime NOT NULL,
  `id_demande` int(6) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;

--
-- Contenu de la table `commentaires`
--

INSERT INTO `commentaires` (`id`, `id_utilisateur`, `titre`, `texte`, `produit`, `note`, `date_creation`, `id_demande`) VALUES
(1, 1, 'Titre du commentaire', 'Commentaire pourri dégueu lol\r\nhuhu', 'http://www.google.fr', 8, '2013-12-06 00:29:22', NULL),
(2, 2, 'Grosse épée qui fait des flammes violettes', 'Superbe lame violette sombre qui fait des flammes violettes et qui permet de facilement découper des gens.\r\nTrès lourde cependant. ', 'www.google.fr', 9, '2013-12-18 00:00:00', NULL),
(3, 5, 'Citroën Saxo', 'Voiture très fiable. Pas trop cher. Cependant consomme énormément', 'google.fr', 8, '2013-12-03 13:50:41', NULL),
(4, 9, 'Tronçonneuse', 'Tronçonneuse ayant beaucoup de soucis. 3 renvoi au SAV.Prix trop excessif. Je la déconseille vraiment.\r\n', 'google.fr', 3, '2013-11-12 12:25:31', NULL),
(5, 3, 'Set de plumes blanches', 'Joli set de plumes blanches, très décorative sur une armure de style walkyrie.\r\nUn accessoire de choix sur le plan esthétique.', 'www.google.fr', 10, '2013-12-10 00:00:00', NULL),
(6, 4, 'Bandana sombre', 'Un bandana gris foncé, très décoratif et permettant de cacher une coiffure une peu ridicule.\r\nUn bon rapport qualité/prix.', 'www.google.fr', 5, '2013-12-02 00:00:00', NULL),
(7, 6, 'Peugeot 205', 'Voiture très fiable. Moteur très puissant. Le modèle diesel est mieux car il consomme peu. Uniquement disponible en bleu ou rouge. 5CV. Voiture increvable!', 'www.google.fr', 10, '2013-10-08 13:19:45', NULL),
(8, 1, 'test', 'test', 'test', 9, '2013-12-11 00:00:00', NULL),
(9, 1, 'va te faire', 'va te faire', 'va te faire', 1, '2013-12-11 00:00:00', NULL),
(10, 1, 'sdfsdf', 'sdfsdf', 'sdfsdf', 1, '2013-12-11 00:00:00', NULL),
(11, 1, 'qsdqsfdsqdf', 'sqdqsdqsdqssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssss', 'qsqdqsdqdqdqsdsq', 9.9, '2013-12-11 00:00:00', NULL);

-- --------------------------------------------------------

--
-- Structure de la table `commentaires_motscles`
--

CREATE TABLE IF NOT EXISTS `commentaires_motscles` (
  `id_commentaire` int(6) NOT NULL,
  `id_motcle` int(9) NOT NULL,
  `type` int(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_commentaire`,`id_motcle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `commentaires_utilisateurs`
--

CREATE TABLE IF NOT EXISTS `commentaires_utilisateurs` (
  `id_commentaire` int(6) NOT NULL,
  `id_utilisateur` int(6) NOT NULL,
  PRIMARY KEY (`id_commentaire`,`id_utilisateur`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Contenu de la table `commentaires_utilisateurs`
--

INSERT INTO `commentaires_utilisateurs` (`id_commentaire`, `id_utilisateur`) VALUES
(1, 1),
(2, 2),
(3, 5),
(4, 9),
(5, 3),
(6, 4),
(7, 6);

-- --------------------------------------------------------

--
-- Structure de la table `demandes`
--

CREATE TABLE IF NOT EXISTS `demandes` (
  `id` int(6) NOT NULL AUTO_INCREMENT,
  `id_utilisateur` int(6) NOT NULL,
  `titre` varchar(100) NOT NULL,
  `texte` text NOT NULL,
  `date_creation` datetime NOT NULL,
  `etat` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `demandes_commentaires`
--

CREATE TABLE IF NOT EXISTS `demandes_commentaires` (
  `id_demande` int(6) NOT NULL,
  `id_commentaire` int(6) NOT NULL,
  `note_totale` float NOT NULL,
  `nombre_votes` int(6) NOT NULL,
  PRIMARY KEY (`id_demande`,`id_commentaire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `demandes_commentaires_utilisateurs`
--

CREATE TABLE IF NOT EXISTS `demandes_commentaires_utilisateurs` (
  `id_utilisateur` int(6) NOT NULL,
  `id_demande_commentaire` int(12) NOT NULL,
  `note` int(2) NOT NULL,
  PRIMARY KEY (`id_utilisateur`,`id_demande_commentaire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `demandes_motscles`
--

CREATE TABLE IF NOT EXISTS `demandes_motscles` (
  `id_demande` int(6) NOT NULL,
  `id_motcle` int(9) NOT NULL,
  `type` int(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_demande`,`id_motcle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `motscles`
--

CREATE TABLE IF NOT EXISTS `motscles` (
  `id_motcle` int(9) NOT NULL AUTO_INCREMENT,
  `mot` varchar(30) NOT NULL,
  PRIMARY KEY (`id_motcle`),
  UNIQUE KEY `mot` (`mot`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Contenu de la table `motscles`
--

INSERT INTO `motscles` (`id_motcle`, `mot`) VALUES
(1, '');

-- --------------------------------------------------------

--
-- Structure de la table `utilisateurs`
--

CREATE TABLE IF NOT EXISTS `utilisateurs` (
  `id` int(6) NOT NULL AUTO_INCREMENT,
  `login` varchar(30) NOT NULL,
  `password` varchar(32) NOT NULL,
  `email` varchar(100) NOT NULL,
  `date_inscription` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `login` (`login`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=15 ;

--
-- Contenu de la table `utilisateurs`
--

INSERT INTO `utilisateurs` (`id`, `login`, `password`, `email`, `date_inscription`) VALUES
(1, 'sylvain', '58aa3a6de9a4c33e3d0979b4a0770bdf', 'sylvainlaugie@gmail.com', '2013-12-06 00:28:08'),
(2, 'caius', '4ed669696909225ecfbf59d5554d0e8e', 'caius_the_god@valhalla.fr', '2013-12-09 00:00:00'),
(3, 'claire', '58971604bd948216adff58ffd3d4ae0e', 'lightning_etro_guardian@valhalla.fr', '2013-12-02 00:00:00'),
(4, 'snow', '9bf27a191955d90b8006d73541e6dc2b', 'snow_the_racaille@nora.com', '2013-11-12 00:00:00'),
(5, 'Bolo31', '58125ec8bafb0b5bef62247837aacd53', 'platane@orange.fr', '2013-12-06 00:00:00'),
(6, 'Jean', '848a9a8c9f98a268ec5bc74dc0658de4', 'JV@gmail.fr', '2013-12-06 00:00:00'),
(7, 'sazh', '72d1fcc21338f72ff8195bb3f4e92c86', 'piaf_dans_mes_cheveux@suicide.com', '2013-12-02 00:00:00'),
(8, 'fang', 'd737bede20dc17d266ae2a830356804c', 'grosse_colere_ragnarok@cristal.pulse', '2013-12-24 00:00:00'),
(9, 'Gredu', '49d02d55ad10973b7b9d0dc9eba7fdf0', 'Gredu@hotmail.fr', '2013-12-02 08:26:30'),
(10, 'vanille', '6cf706937b817fe39645abe58ad7226f', 'forever_en_train_de_rire@cristal.pulse', '2013-12-10 00:00:00'),
(11, 'serah', 'farron', 'serah.farron@gmail.com', '2013-12-10 00:00:00'),
(12, 'tristan', 'tristan', 'cini.tristan@gmail.com', '2013-12-10 00:00:00'),
(13, 'aurélien', 'c0d9ac80a5a312d6304dbb3f95a97a5e', 'banquet@gmail.com', '2013-12-10 00:00:00'),
(14, 'neo', 'ae737c2763c3c6309533aae4803a9873', 'testkdk', '2013-12-10 00:00:00');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
